Get list items
Base URL
https://{kibana_url}
GET
/api/lists/items/_find
GET
/s/{space_id} /api/lists/items/_find
Auth
Get all list items in the specified list.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
list_id
string · format: nonempty · min length: 1
required
List's id
page
integer
The page number to return
per_page
integer
The number of list items to return per page
sort_field
string · format: nonempty · min length: 1
Determines which field is used to sort the results
sort_order
enum
Determines the sort order, which can be desc or asc
Values:
desc
asc
cursor
string · format: nonempty · min length: 1
Returns the list that come after the last list returned in the previous call
(use the cursor value returned in the previous call). This parameter uses
the tie_breaker_id field to ensure all lists are sorted and returned correctly.
filter
string
Filters the returned results according to the value of the specified field,
using the
cursor
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
data
object []
required
−
Hide 12 properties
@timestamp
string · format: date-time
created_at
string · format: date-time
required
created_by
string
required
id
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
list_id
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
tie_breaker_id
string
required
type
enum
required
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
+
show 11 more values
updated_at
string · format: date-time
required
updated_by
string
required
value
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters
page
integer · min: 0
required
per_page
integer · min: 0
required
total
integer · min: 0
required
400
Invalid input data response
application/json
One of:
−
Hide 2 properties
status_code
integer
required
401
Unsuccessful authentication response
application/json
statusCode
integer
required
403
Not enough privileges response
application/json
statusCode
integer
required
500
Internal server error response
application/json
status_code
integer
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/lists/items/_find?list_id=LIST_ID
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/lists/items/_find?list_id=${LIST_ID}" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
{
"cursor": "string",
"data": [
{
"_version": "string",
"@timestamp": "string",
"created_at": "string",
"created_by": "string",
"id": "string",
"list_id": "string",
"meta": {},
"tie_breaker_id": "string",
"type": "binary",
"updated_at": "string",
"updated_by": "string",
"value": "string"
}
],
"page": 0,
"per_page": 0,
"total": 0
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
5
{
"error": "string",
"message": "string",
"statusCode": 0
}
Generated from the API spec
1
2
3
4
{
"message": "string",
"status_code": 0
}
Generated from the API spec